package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRuralCentralSupplyPopulation;
import com.lightinit.hsdatashow.entity.StWaterRuralCentralSupplyPopulationExample;
import com.lightinit.hsdatashow.model.topic.water.NameAndValue;
import com.lightinit.hsdatashow.model.topic.water.ShouyiRenkouFenleiReturnModel;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface StWaterRuralCentralSupplyPopulationMapper {
    long countByExample(StWaterRuralCentralSupplyPopulationExample example);

    int deleteByExample(StWaterRuralCentralSupplyPopulationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRuralCentralSupplyPopulation record);

    int insertSelective(StWaterRuralCentralSupplyPopulation record);

    List<StWaterRuralCentralSupplyPopulation> selectByExample(StWaterRuralCentralSupplyPopulationExample example);

    StWaterRuralCentralSupplyPopulation selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRuralCentralSupplyPopulation record, @Param("example") StWaterRuralCentralSupplyPopulationExample example);

    int updateByExample(@Param("record") StWaterRuralCentralSupplyPopulation record, @Param("example") StWaterRuralCentralSupplyPopulationExample example);

    int updateByPrimaryKeySelective(StWaterRuralCentralSupplyPopulation record);

    int updateByPrimaryKey(StWaterRuralCentralSupplyPopulation record);

    BigDecimal getGongchengZongliang();

    ShouyiRenkouFenleiReturnModel getShouyiRenkouFenlei();

    List<NameAndValue> getShouyiRenkouFenbu(@Param("type") String type);
}